unit UnForSop ; { for global variable SatReflCoef }
interface
var
  satvalkr  : Extended ; { surface reflection property satellite }
  satvalar  : Extended ; { midel area in m^2 satellite }
  satvalmr  : Extended ; { mass in kg satellite }
  SatReflCoef  : Extended ; { empiric  coefficient for pressure }
function ToGetReflValue ( kr , ar , mr  : Extended ) : Extended ;
function ToGetReflValus ( cr  : Extended ) : Extended ;
implementation
function ToGetReflValue ( kr , ar , mr  : Extended ) : Extended ;
begin
  if  mr < 2.0
    then { too small or nullo mass value }
      ToGetReflValue:=0.0
    else                                  { as acceleration }
      ToGetReflValue:=4.5606e-9*kr*ar/mr; { in km/s^2 }
end;
{ value cr may be in the string with elements
  and  kr*ar/mr = 10^3*cr  in this case kr = 1.5 }
function ToGetReflValus ( cr  : Extended ) : Extended ;
begin
  ToGetReflValus:=4.5606e-6*cr;
end;
end.